package com.shanghaichengdi.ghjgitem.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.shanghaichengdi.ghjgitem.domain.WaterLevelData;
import com.shanghaichengdi.ghjgitem.vo.request.WaterLevelDataReq;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author Administrator
* @description 针对表【WATER_LEVEL_DATA(水位数据)】的数据库操作Mapper
* @createDate 2024-08-10 18:30:38
* @Entity com.shanghaichengdi.ghjgitem.domain.WaterLevelData
*/
public interface WaterLevelDataMapper extends BaseMapper<WaterLevelData> {

    int deleteByPrimaryKey(Long id);

    int insert(WaterLevelData record);

    int insertSelective(WaterLevelData record);

    WaterLevelData selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(WaterLevelData record);

    int updateByPrimaryKey(WaterLevelData record);

    List<WaterLevelData> getDataByTime(WaterLevelDataReq req);

}
